
uniform sampler2D g_color;
layout (location = 0) out vec4 frag_color;

void main() {
    vec2 screen_size = vec2(textureSize(g_color, 0).xy);
    frag_color = vec4(
        texture(g_color, (gl_FragCoord.xy * render_scale) / screen_size, 0).rgb,
        1.0
    );
}
